Subject: bug#30908: woman2-roff-buffer fails to restore set-text-properties, etc. on error

From: Noam Postavsky <[email-masked]>
Date: Fri, 23 Mar 2018 06:20:57 -0400

Ivan Shmakov <[email-masked]> writes:

>  > Shouldn’t this rather be combined into the existing unwind-protect
>  > around the while?
>
> 	Due to the (not (eobp)) guard, I’ve assumed that the
> 	woman2-format-paragraphs call in the ‘unwind’ branch is for some
> 	sort of fallback processing (in the case the while loop fails.)

Hmm, looking at this again, I'm not sure.  That is, it's clearly
fallback processing in case the loop ends before going through the whole
buffer.  But does it also make sense as fallback processing when some
kind of error was signaled in the loop?  I don't know.